//
//  CreateRSVPViewController.swift
//  RSVPMessagesApp
//
//  Created by Mohammad Azam on 10/3/16.
//  Copyright © 2016 Mohammad Azam. All rights reserved.
//

import UIKit

protocol CreateRSVPViewControllerDelegate : class {
    
    func createRSVPViewControllerDidCreatedRSVP(rsvp :RSVP)
    
}

class CreateRSVPViewController: UIViewController {
    
    weak var delegate :CreateRSVPViewControllerDelegate!
    
    @IBOutlet weak var rsvpTextView :UITextView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func createRSVPButtonPressed() {
        
        let rsvp = RSVP()
        rsvp.title = self.rsvpTextView.text
        
        self.delegate.createRSVPViewControllerDidCreatedRSVP(rsvp: rsvp)
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
